Submitted By: Andrew Benton <b3nton@gmail.com>
Date: 2012-02-20
Initial Package Version: 0.7.3
Origin: From upstream git
Description: Fixes compiling wpa_supplicant-0.7.3 with libnl-3.2.3 installed

diff -Naur wpa_supplicant-0.7.3~/src/drivers/driver_nl80211.c wpa_supplicant-0.7.3/src/drivers/driver_nl80211.c
--- wpa_supplicant-0.7.3~/src/drivers/driver_nl80211.c	2010-09-07 16:43:39.000000000 +0100
+++ wpa_supplicant-0.7.3/src/drivers/driver_nl80211.c	2012-02-20 14:39:49.806589859 +0000
@@ -65,6 +65,15 @@
 	unsigned int beacon_set:1;
 };
 
+#ifdef CONFIG_LIBNL20
+/* libnl 2.0 compatibility code */
+
+#define nl_handle nl_sock
+#define nl_handle_alloc_cb nl_socket_alloc_cb
+#define nl_handle_destroy nl_socket_free
+#endif /* CONFIG_LIBNL20 */
+
+
 struct wpa_driver_nl80211_data {
 	void *ctx;
 	struct netlink_data *netlink;
diff -Naur wpa_supplicant-0.7.3~/src/drivers/drivers.mak wpa_supplicant-0.7.3/src/drivers/drivers.mak
--- wpa_supplicant-0.7.3~/src/drivers/drivers.mak	2010-09-07 16:43:39.000000000 +0100
+++ wpa_supplicant-0.7.3/src/drivers/drivers.mak	2012-02-20 14:39:49.809923193 +0000
@@ -31,10 +31,10 @@
 NEED_AP_MLME=y
 NEED_NETLINK=y
 NEED_LINUX_IOCTL=y
-DRV_LIBS += -lnl
+DRV_LIBS += -lnl-3
 
 ifdef CONFIG_LIBNL20
-DRV_LIBS += -lnl-genl
+DRV_LIBS += -lnl-genl-3
 DRV_CFLAGS += -DCONFIG_LIBNL20
 endif
 endif
diff -Naur wpa_supplicant-0.7.3~/wpa_supplicant/Makefile wpa_supplicant-0.7.3/wpa_supplicant/Makefile
--- wpa_supplicant-0.7.3~/wpa_supplicant/Makefile	2010-09-07 16:43:39.000000000 +0100
+++ wpa_supplicant-0.7.3/wpa_supplicant/Makefile	2012-02-20 14:39:49.803256525 +0000
@@ -133,6 +133,11 @@
 NEED_AES_OMAC1=y
 endif
 
+ifdef CONFIG_LIBNL20
+LIBS += -lnl-3
+CFLAGS += -DCONFIG_LIBNL20
+endif
+
 ifdef CONFIG_IEEE80211R
 CFLAGS += -DCONFIG_IEEE80211R
 OBJS += ../src/rsn_supp/wpa_ft.o
